# Initial live-prep pool whitelist for Oleg-style LP-DCA.
# Pool addresses should be verified before collection/backtest.

pools:
  - name: mainnet_WETH_USDC_UNIV3_030
    chain: ethereum
    protocol: uniswap_v3
    pool: "0x8ad599c3a0ff1de082011efddc58f1908eb6e6d8"
    fee_rate: 0.003
    token0: USDC
    token1: WETH
    dec0: 6
    dec1: 18
    quote_token: token0
    priority: 1
    reason: "Matches Revert/Oleg example family; deep blue-chip WETH/USDC 30 bps."

  - name: mainnet_WETH_USDC_UNIV3_005
    chain: ethereum
    protocol: uniswap_v3
    pool: "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640"
    fee_rate: 0.0005
    token0: USDC
    token1: WETH
    dec0: 6
    dec1: 18
    quote_token: token0
    priority: 2
    reason: "Deepest WETH/USDC benchmark; lower fee but more institutional flow."

  - name: base_WETH_USDC_UNIV3_030
    chain: base
    protocol: uniswap_v3
    pool: "0x6c561b446416e1a00e8e93e221854d6ea4171372"
    fee_rate: 0.003
    token0: TBD
    token1: TBD
    dec0: TBD
    dec1: TBD
    quote_token: TBD
    priority: 3
    reason: "Potential lower gas WETH/USDC 30 bps candidate; verify metadata before NPZ."

  - name: bsc_ETH_WBNB_PANCAKEV3_001
    chain: bsc
    protocol: pancake_v3
    pool: "0x62fcb3c1794fb95bd8b1a97f6ad5d8a7e4943a1e"
    fee_rate: 0.0001
    token0: TBD
    token1: TBD
    dec0: TBD
    dec1: TBD
    quote_token: TBD
    priority: 4
    reason: "User/Oleg BNB benchmark candidate; requires reliable BSC RPC."

